Collection metadata
GET
/collections/deepfire:static-heat-sourcesAuthorization
AuthorizationBearer token (JWT) · headerrequiredAccess token from POST https://api.deepfire.co/v1/token with your client_id and client_secret.
Query parameters
otherParametersobjectAllows unrecognized parameters to be added in the query string without getting a 400 back (e.g., cache busters)
Responses
200Information about the feature collection with id `collectionId`.
The response contains a link to the items in the collection
(path `/collections/{collectionId}/items`, link relation `items`)
as well as key information about the collection. This information
includes:
* A local identifier for the collection that is unique for the dataset;
* A list of coordinate reference systems (CRS) in which geometries may be returned by the server. The first CRS is the default coordinate reference system (the default is always WGS 84 with axis order longitude/latitude);
* An optional title and description for the collection;
* An optional extent that can be used to provide an indication of the spatial and temporal extent of the collection - typically derived from the data;
* An optional indicator about the type of the items in the collection (the default value, if the indicator is not provided, is 'feature').
idstringrequiredidentifier of the collection used, for example, in URIs
titlestringhuman readable title of the collection
descriptionstringa description of the features in the collection
linkslink[]requiredShow propertiesHide properties
Array of
linkhrefstringrequiredrelstringtypestringhreflangstringtitlestringlengthintegerextentextentThe extent of the features in the collection. In the Core only spatial and temporal
extents are specified. Extensions may add additional members to represent other
extents, for example, thermal or pressure ranges.
Show propertiesHide properties
spatialobjectThe spatial extent of the features in the collection.
Show propertiesHide properties
bboxnumber[][]One or more bounding boxes that describe the spatial extent of the dataset.
In the Core only a single bounding box is supported. Extensions may support
additional areas. If multiple areas are provided, the union of the bounding
boxes describes the spatial extent.
min items 1
crsstringCoordinate reference system of the coordinates in the spatial extent
(property `bbox`). The default reference system is WGS 84 longitude/latitude.
In the Core this is the only supported coordinate reference system.
Extensions may support additional coordinate reference systems and add
additional enum values.
default: "http://www.opengis.net/def/crs/OGC/1.3/CRS84"
Allowed:
http://www.opengis.net/def/crs/OGC/1.3/CRS84temporalobjectThe temporal extent of the features in the collection.
Show propertiesHide properties
intervalstring<date-time>[][]One or more time intervals that describe the temporal extent of the dataset.
The value `null` is supported and indicates an open time intervall.
In the Core only a single time interval is supported. Extensions may support
multiple intervals. If multiple intervals are provided, the union of the
intervals describes the temporal extent.
min items 1
trsstringCoordinate reference system of the coordinates in the temporal extent
(property `interval`). The default reference system is the Gregorian calendar.
In the Core this is the only supported temporal reference system.
Extensions may support additional temporal reference systems and add
additional enum values.
default: "http://www.opengis.net/def/uom/ISO-8601/0/Gregorian"
Allowed:
http://www.opengis.net/def/uom/ISO-8601/0/GregorianitemTypestringindicator about the type of the items in the collection (the default value is 'feature').
default: "feature"
crsstring<uri;>[]the list of coordinate reference systems supported by the service
default: ["http://www.opengis.net/def/crs/OGC/1.3/CRS84"]
storageCrsstring<uri>the CRS identifier, from the list of supported CRS identifiers, that may be used to retrieve features from a collection without the need to apply a CRS transformation
404The requested URI was not found.
500A server error occurred.
codestringrequireddescriptionstring